Bug 86489 - [Qt] plugin is loaded to the web process via MainResourceLoader::substituteMIMETypeFromPluginDatabase
Summary: [Qt] plugin is loaded to the web process via MainResourceLoader::substituteMI...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Plug-ins (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Balazs Kelemen
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2012-05-15 09:00 PDT by Balazs Kelemen
Modified: 2012-06-28 02:36 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.00 KB, patch)
2012-06-06 10:02 PDT, Balazs Kelemen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Balazs Kelemen 2012-05-15 09:00:21 PDT
We should not load plugins to the web process, especially not via the wk1 plugin code path.
Comment 1 Balazs Kelemen 2012-05-17 02:03:43 PDT
This code has been added in https://bugs.webkit.org/show_bug.cgi?id=32572.
It's possible to reimplement it in a way that fits with WebKit2 by going trough PluginData -> WebPlatformStrategies -> UI process but I have trouble with testing this functionality. I could not load an swf file with QtTestBrowser on unpatched trunk - actually I found an swf file that loads but it doesn't show anything else than black. Do you think it should work on trunk? Could you give an example I can test with? Or maybe we should just drop that?
Comment 2 Balazs Kelemen 2012-06-06 10:02:51 PDT
Created attachment 146053 [details]
Patch
Comment 3 Simon Hausmann 2012-06-27 22:31:51 PDT
Comment on attachment 146053 [details]
Patch

I very much agree with this, the symptom (webprocess shouldn't load plugins through wk1 code path by use of PluginDatabase) as well as the removal of this hack :)
Comment 4 Balazs Kelemen 2012-06-28 02:36:12 PDT
Comment on attachment 146053 [details]
Patch

Clearing flags on attachment: 146053

Committed r121423: <http://trac.webkit.org/changeset/121423>
Comment 5 Balazs Kelemen 2012-06-28 02:36:19 PDT
All reviewed patches have been landed.  Closing bug.